import java.awt.Dimension;
import java.awt.Toolkit;
import javax.swing.JFrame;
import javax.swing.JPanel;


public class SillyStamperApplication {

	/**
	 * This main program  just opens a window that displays a panel of type 
	 * IconStamperPanel in its content area.  The window is centered on the
	 * screen, and can be resized by the user.
	 */
	public static void main(String[] args) {
		JFrame frame = new JFrame("Silly Stamper"); 
		JPanel panel = new IconStampPad();
		frame.setContentPane(panel);
		frame.pack(); 
		frame.setResizable(false);
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		int w = (screenSize.width - frame.getWidth()) / 2;
		int h = (screenSize.height - frame.getHeight()) / 2;
		frame.setLocation(w,h); 
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
	
}
