import javax.swing.JPanel;
import javax.swing.JApplet;
import javax.swing.BorderFactory;
import java.awt.Color;
import java.awt.BorderLayout;

/**
 * This class represents an applet that shows a MouseEventsDemo in its
 * content area.  To make the panel area more obvious, an extra panel
 * is created that has a black border, and the MouseEventsDemo panel
 * is added to that.
 */
public class MouseEventsApplet extends JApplet {
	
	public void init() {
		MouseEventsDemo panel = new MouseEventsDemo();
		JPanel mainPanel = new JPanel();
		mainPanel.setBorder(BorderFactory.createLineBorder(Color.BLACK,3));
		mainPanel.setLayout(new BorderLayout());
		mainPanel.add(panel, BorderLayout.CENTER);
		setContentPane(mainPanel);
	}

}
