import java.awt.*;
import javax.swing.*;

/**
 *  This main program simply creates a window on the screen that shows
 *  a "MouseEventsDemo" panel in the content area of the window.  The
 *  program exits when the user closes the window.
 */
public class MouseEventsApplication {
	
	public static void main(String[] args) {
		JFrame frame = new JFrame("Mouse Events Demo");  // Create the window data structure.
		MouseEventsDemo panel = new MouseEventsDemo();   // Create a MouseEventsDemo panel
		frame.setContentPane(panel); // Set the window to display the panel as the windows "content".
		frame.pack();   // Adjust size of window based on the panel's preferred size.
		frame.setLocation(100,75);   // Set location of upper left corner of the window on the screen.
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  // Program exits when user closes window.
		frame.setVisible(true);     // Make the window visible on the screen.
	}
	
}
